package com.pj.api.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 08 31 09 08
 **/
public class VehicleDto {
    /**
     * 地方平台的内部业务编号，每次申请都是新编号
     */
    private String platSeqNo;

    public String getPlatSeqNo() {
        return platSeqNo;
    }

    public void setPlatSeqNo(String platSeqNo) {
        this.platSeqNo = platSeqNo;
    }

    public VehicleDto(String platSeqNo, Long id, String vehiclePlate, Integer tradeAreaId, String tradeAreaName, String owner, Long driverId, String driverName, String driverPhone, Integer vehicleType, Integer parentId, String vehicleSize, String vehicleModel, String vehicleLoad, String vehicleWeight, Integer vehicleStatus, String createBy, String createName, Date createTime, String updateBy, String updateName, Date updateTime, Integer deleteStatus, Integer auditStatus, String auditBy, String nopassReason, Date auditTime) {
        this.platSeqNo = platSeqNo;
        this.id = id;
        this.vehiclePlate = vehiclePlate;
        this.tradeAreaId = tradeAreaId;
        this.tradeAreaName = tradeAreaName;
        this.owner = owner;
        this.driverId = driverId;
        this.driverName = driverName;
        this.driverPhone = driverPhone;
        this.vehicleType = vehicleType;
        this.parentId = parentId;
        this.vehicleSize = vehicleSize;
        this.vehicleModel = vehicleModel;
        this.vehicleLoad = vehicleLoad;
        this.vehicleWeight = vehicleWeight;
        this.vehicleStatus = vehicleStatus;
        this.createBy = createBy;
        this.createName = createName;
        this.createTime = createTime;
        this.updateBy = updateBy;
        this.updateName = updateName;
        this.updateTime = updateTime;
        this.deleteStatus = deleteStatus;
        this.auditStatus = auditStatus;
        this.auditBy = auditBy;
        this.nopassReason = nopassReason;
        this.auditTime = auditTime;
    }

    private Long id;

    /**
     * 车牌
     */
    private String vehiclePlate;

    /**
     * 贸易区域id
     */
    private Integer tradeAreaId;

    /**
     * 贸易区域名称
     */
    private String tradeAreaName;

    /**
     * 所有人
     */
    private String owner;

    /**
     * 司机ID
     */
    private Long driverId;

    /**
     * 司机名称
     */
    private String driverName;

    /**
     * 司机电话
     */
    private String driverPhone;

    /**
     * 车辆类型
     */
    private Integer vehicleType;

    /**
     * 类型父id
     */
    private Integer parentId;

    /**
     * 车辆尺寸
     */
    private String vehicleSize;

    /**
     * 车辆品牌型号
     */
    private String vehicleModel;

    /**
     * 核定载质量
     */
    private String vehicleLoad;

    /**
     * 车辆自重
     */
    private String vehicleWeight;

    /**
     * 车辆状态(1=空闲 2=作业中)
     */
    private Integer vehicleStatus;

    /**
     * 创建者id
     */
    private String createBy;

    /**
     * 创建者姓名
     */
    private String createName;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    /**
     * 更新者id
     */
    private String updateBy;

    /**
     * 更新者名称
     */
    private String updateName;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 删除状态
     */
    private Integer deleteStatus;

    /**
     * 审核状态(0=待审核，1=已通过，2=不通过)
     */
    private Integer auditStatus;

    /**
     * 审核人
     */
    private String auditBy;

    /**
     * 审核不通过原因
     */
    private String nopassReason;

    /**
     * 审核时间
     */
    private Date auditTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getVehiclePlate() {
        return vehiclePlate;
    }

    public void setVehiclePlate(String vehiclePlate) {
        this.vehiclePlate = vehiclePlate;
    }

    public Integer getTradeAreaId() {
        return tradeAreaId;
    }

    public void setTradeAreaId(Integer tradeAreaId) {
        this.tradeAreaId = tradeAreaId;
    }

    public String getTradeAreaName() {
        return tradeAreaName;
    }

    public void setTradeAreaName(String tradeAreaName) {
        this.tradeAreaName = tradeAreaName;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public Long getDriverId() {
        return driverId;
    }

    public void setDriverId(Long driverId) {
        this.driverId = driverId;
    }

    public String getDriverName() {
        return driverName;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }

    public String getDriverPhone() {
        return driverPhone;
    }

    public void setDriverPhone(String driverPhone) {
        this.driverPhone = driverPhone;
    }

    public Integer getVehicleType() {
        return vehicleType;
    }

    public void setVehicleType(Integer vehicleType) {
        this.vehicleType = vehicleType;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getVehicleSize() {
        return vehicleSize;
    }

    public void setVehicleSize(String vehicleSize) {
        this.vehicleSize = vehicleSize;
    }

    public String getVehicleModel() {
        return vehicleModel;
    }

    public void setVehicleModel(String vehicleModel) {
        this.vehicleModel = vehicleModel;
    }

    public String getVehicleLoad() {
        return vehicleLoad;
    }

    public void setVehicleLoad(String vehicleLoad) {
        this.vehicleLoad = vehicleLoad;
    }

    public String getVehicleWeight() {
        return vehicleWeight;
    }

    public void setVehicleWeight(String vehicleWeight) {
        this.vehicleWeight = vehicleWeight;
    }

    public Integer getVehicleStatus() {
        return vehicleStatus;
    }

    public void setVehicleStatus(Integer vehicleStatus) {
        this.vehicleStatus = vehicleStatus;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getAuditBy() {
        return auditBy;
    }

    public void setAuditBy(String auditBy) {
        this.auditBy = auditBy;
    }

    public String getNopassReason() {
        return nopassReason;
    }

    public void setNopassReason(String nopassReason) {
        this.nopassReason = nopassReason;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public VehicleDto(Long id, String vehiclePlate, Integer tradeAreaId, String tradeAreaName, String owner, Long driverId, String driverName, String driverPhone, Integer vehicleType, Integer parentId, String vehicleSize, String vehicleModel, String vehicleLoad, String vehicleWeight, Integer vehicleStatus, String createBy, String createName, Date createTime, String updateBy, String updateName, Date updateTime, Integer deleteStatus, Integer auditStatus, String auditBy, String nopassReason, Date auditTime) {
        this.id = id;
        this.vehiclePlate = vehiclePlate;
        this.tradeAreaId = tradeAreaId;
        this.tradeAreaName = tradeAreaName;
        this.owner = owner;
        this.driverId = driverId;
        this.driverName = driverName;
        this.driverPhone = driverPhone;
        this.vehicleType = vehicleType;
        this.parentId = parentId;
        this.vehicleSize = vehicleSize;
        this.vehicleModel = vehicleModel;
        this.vehicleLoad = vehicleLoad;
        this.vehicleWeight = vehicleWeight;
        this.vehicleStatus = vehicleStatus;
        this.createBy = createBy;
        this.createName = createName;
        this.createTime = createTime;
        this.updateBy = updateBy;
        this.updateName = updateName;
        this.updateTime = updateTime;
        this.deleteStatus = deleteStatus;
        this.auditStatus = auditStatus;
        this.auditBy = auditBy;
        this.nopassReason = nopassReason;
        this.auditTime = auditTime;
    }

    public VehicleDto() {
    }

}
